stories:
  - story: starting the authentication flow
    steps:
      - intent: welcome
      - slot_was_set:
        - conversation_id: null
      - action: action_get_conversation
      - slot_was_set:
        - conversation_id
        - conversation_has_comments_to_vote: true
      - action: action_start_participatory_process
      - action: vote_form
      - active_loop: vote_form
      - active_loop: null
      - slot_was_set:
        - vote
        - ask_to_authenticate: true
      - action: utter_vote_limit_anonymous_reached
      - action: authentication_form
      - active_loop: authentication_form
      - active_loop: null
      - slot_was_set:
          - check_authentication: check_participant_authentication
          - has_completed_registration: true
      - action: utter_authenticated
      - action: vote_form
      - active_loop: vote_form

  - story: deny authentication
    steps:
      - intent: welcome
      - slot_was_set:
        - conversation_id: null
      - action: action_get_conversation
      - slot_was_set:
        - conversation_id
        - conversation_has_comments_to_vote: true
      - action: action_start_participatory_process
      - action: vote_form
      - active_loop: vote_form
      - active_loop: null
      - slot_was_set:
        - vote
        - ask_to_authenticate: true
      - action: utter_vote_limit_anonymous_reached
      - action: authentication_form
      - active_loop: authentication_form
      - active_loop: null
      - slot_was_set:
          - check_authentication: end_participant_conversation
          - has_completed_registration: false
      - action: utter_explain_help_authentication
      - action: action_restart


  - story: Force the authentication_form activation
    steps:
      - intent: welcome
      - slot_was_set:
        - conversation_id: null
      - action: action_get_conversation
      - slot_was_set:
        - conversation_id
        - conversation_has_comments_to_vote: true
      - action: action_start_participatory_process
      - action: vote_form
      - active_loop: vote_form
      - active_loop: null
      - slot_was_set:
        - vote
        - ask_to_authenticate: true
      - action: action_deactivate_loop
      - active_loop: null
      - action: utter_vote_limit_anonymous_reached
      - action: authentication_form
      - active_loop: authentication_form
